> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# ownercontact

> MDO provider for listing owner contacts.

## "ownercontact" MDO List

MDO provider for listing owner contacts.

Implemented by the <see cref="T:SuperOffice.CRM.Lists.OwnerContactProvider">OwnerContactProvider</see> class.
The name of the MDO list is 'ownercontact'.

## Additional Attributes

| Description                                 | Name       | Example Value |
| ------------------------------------------- | ---------- | ------------- |
| Add an extra item for ALL Companies to list | addallitem | y             |

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/ownercontact
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("ownercontact", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                        | StyleHint | ExtraInfo |
| -- | --------------------------- | --------- | --------- |
| 21 | Jensen Madrasser, JAvdeling |           |           |
| 30 | Nilsen'S VVS ANS, NAvdeling |           |           |
| 2  | statezerodatabase           |           |           |

## Related MDO Lists

* "ownercontactheadings"
* "ownercontactheadingswithallitem"
* "ownercontactheadingswithallitemwithnoselection"
* "ownercontactheadingswithnoselection"
* "ownercontactwithallitem"
* "ownercontactwithallitemwithnoselection"
* "ownercontactwithnoselection"


## Related topics

- [OwnerContacts](/en/api/archive-providers/reference/ownercontacts.md)
- [OwnerContactLink table](/en/database/tables/ownercontactlink.md)
- [REST WebAPI](/en/api/web-services/endpoints/rest-webapi/index.md)
- [Index](/en/api/reference/restful/rest/index.md)
- [Archive Provider List](/en/api/archive-providers/reference/index.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
